CallableSqlStatementStrategy (Mule ESB 2.2.1 API)
Keywords: org.mule.transport.jdbc.sqlstrategy.CallableSqlStatementStrategy class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.jdbc.sqlstrategy
Class CallableSqlStatementStrategy

    java.lang.Object
      org.mule.transport.jdbc.sqlstrategy.SimpleUpdateSqlStatementStrategy
          org.mule.transport.jdbc.sqlstrategy.CallableSqlStatementStrategy

All Implemented Interfaces:
  SqlStatementStrategy

    public class CallableSqlStatementStrategy

extends SimpleUpdateSqlStatementStrategy

Implements strategy for executing simple stored procedures. Only IN parameters can be used and no OUT values can be returned from the stored procedure.

Field Summary
`protected static String` | `STORED_PROCEDURE_PREFIX`
`protected static String` | `STORED_PROCEDURE_SUFFIX`

Fields inherited from class org.mule.transport.jdbc.sqlstrategy.SimpleUpdateSqlStatementStrategy
`logger`

Constructor Summary
`CallableSqlStatementStrategy()`

Method Summary
`protected String` | `escapeStatement(String statement)`

Methods inherited from class org.mule.transport.jdbc.sqlstrategy.SimpleUpdateSqlStatementStrategy
`executeStatement`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### STORED_PROCEDURE_PREFIX

    protected static final String STORED_PROCEDURE_PREFIX

See Also:
  Constant Field Values

### STORED_PROCEDURE_SUFFIX

    protected static final String STORED_PROCEDURE_SUFFIX

See Also:
  Constant Field Values

Constructor Detail

### CallableSqlStatementStrategy

    public CallableSqlStatementStrategy()

Method Detail

### escapeStatement

    protected String escapeStatement(String statement)

  Overrides:
    `escapeStatement` in class `SimpleUpdateSqlStatementStrategy`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.